Bug 364521 - gdmgreeter segfaults
gdmgreeter segfaults
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 15:28 EDT by Doug Maxey
Modified: 2009-01-09 00:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:05:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
script capture of /usr/libexec/gdmgreeter (21.23 KB, text/plain)
2007-11-02 16:26 EDT, Doug Maxey
no flags Details

  None (edit)
Description Doug Maxey 2007-11-02 15:28:35 EDT
Description of problem:
After the 2007-10-25 or so update, the gdmgreeter blows up, and unable to run 
gnome from the console. 

Version-Release number of selected component (if applicable):
gdm-2.20.1-5.fc8

How reproducible:
100%

Steps to Reproduce:
1. setenforce 0
2. telinit 5
3. watch the xserver recycle.
  
Actual results:
loops over all possible greeters.

Expected results:


Additional info:

lspci:
00:00.0 Host bridge: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE DRAM
Controller/Host-Hub Interface (rev 01)
00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE
Chipset Integrated Graphics Device (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #3 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corporation 82801DB/DBL (ICH4/ICH4-L) LPC Interface
Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801DB (ICH4) IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus
Controller (rev 01)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 01)
02:08.0 Ethernet controller: Intel Corporation 82801DB PRO/100 VE (LOM) Ethernet
Controller (rev 81)
02:09.0 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet
Controller (Copper) (rev 01)
02:09.1 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet
Controller (Copper) (rev 01)
02:0a.0 Communication controller: Digi International AccelePort 8r EIA-232 (IBM)
(rev 01)

# uname -r
2.6.23.1-42.fc8

error log with debug enabled in custom.conf:
Nov  2 12:20:58 chagas gdm-binary[14892]: DEBUG: gdm_socket_handler: Accepting
new connection fd 9
Nov  2 12:20:58 chagas gdmgreeter[16179]: DEBUG: Sending command: 'VERSION'
Nov  2 12:20:58 chagas gdm-binary[14892]: DEBUG: Handling user message: 'VERSION'
Nov  2 12:20:58 chagas gdmgreeter[16179]: DEBUG:   Got response: 'GDM 2.20.1'
Nov  2 12:20:58 chagas gdmgreeter[16179]: DEBUG: Sending command: 'ATTACHED_SERVERS'
Nov  2 12:20:58 chagas gdm-binary[14892]: DEBUG: Handling user message:
'ATTACHED_SERVERS'
Nov  2 12:20:58 chagas gdmgreeter[16179]: DEBUG:   Got response: 'OK :0,,7'
Nov  2 12:20:58 chagas gdmgreeter[16179]: DEBUG: Sending command: 'CLOSE'
Nov  2 12:20:58 chagas gdm-binary[14892]: DEBUG: Handling user message: 'CLOSE'
Nov  2 12:20:58 chagas kernel: gdmgreeter[16179]: segfault at 74207372 eip
08058d2c esp bffc45a0 error 4
Nov  2 12:20:58 chagas gdm-binary[16159]: DEBUG: term_quit: Final cleanup
.....

Nov  2 12:21:01 chagas gdm-binary[16191]: DEBUG: Forking greeter process:
/usr/libexec/gdmgreeter
Nov  2 12:21:01 chagas gdm-binary[16191]: DEBUG: gdm_slave_greeter: Greeter on
pid 16208
Nov  2 12:21:01 chagas gdm-binary[16191]: DEBUG: Sending GREETPID == 16208 for
slave 16191
Nov  2 12:21:01 chagas gdm-binary[14892]: DEBUG: Attempting to parse key string:
debug/Enable=false
Nov  2 12:21:01 chagas gdm-binary[14892]: DEBUG: Handling message: 'GREETPID
16191 16208'
Nov  2 12:21:01 chagas gdm-binary[14892]: DEBUG: Got GREETPID == 16208
Nov  2 12:21:01 chagas gdm-binary[16208]: DEBUG: Attempting to parse key string:
daemon/User=gdm
Nov  2 12:21:01 chagas gdm-binary[16208]: DEBUG: Attempting to parse key string:
daemon/DefaultPath=/bin:/usr/bin
Nov  2 12:21:01 chagas gdm-binary[16208]: DEBUG: Attempting to parse key string:
debug/Gestures=false
Nov  2 12:21:01 chagas gdm-binary[16208]: DEBUG: Attempting to parse key string:
debug/Enable=false
Nov  2 12:21:01 chagas gdm-binary[16208]: DEBUG: Sending SHOW_ERROR_DIALOG ==
<secret> for slave 16208
Nov  2 12:21:01 chagas gdm-binary[14892]: DEBUG: Attempting to parse key string:
debug/Enable=false
Nov  2 12:21:01 chagas gdm-binary[14892]: DEBUG: Handling message:
'opcode=SHOW_ERROR_DIALOG$$pid=16191$$type=3$$error=The greeter application
appears to be crashing. Attempting to use a different
one.$$details_label=NIL$$details_file=NIL$$uid=0$$gid=0'
Nov  2 12:21:01 chagas gdm-binary[14892]: DEBUG: Forking extra process: error dialog
Nov  2 12:21:01 chagas gdm-binary[16209]: DEBUG: Attempting to parse key string:
xdmcp/Enable=false
Nov  2 12:21:01 chagas gdm-binary[16209]: DEBUG: Attempting to parse key string:
daemon/User=gdm
Nov  2 12:21:01 chagas gdm-binary[16209]:last message repeated 3 times

Anything you want me to try?
Comment 1 Ray Strode [halfline] 2007-11-02 15:44:00 EDT
if you set 

Greeter=/usr/libexec/gdmlogin

in the [daemon] section of gdm do you see the problem with that greeter as well?

Does logging in from a terminal and typing startx work?

from within an X session.  if you do:

export DOING_GDM_DEVELOPMENT=1
and then run
/usr/libexec/gdmgreeter

does it crash or print any error messages?
Comment 2 Doug Maxey 2007-11-02 16:25:37 EDT
(In reply to comment #1)
> if you set 
> 
> Greeter=/usr/libexec/gdmlogin
> 
> in the [daemon] section of gdm do you see the problem with that greeter as well?

same issue.  but with a lighter blue background. :)

> 
> Does logging in from a terminal and typing startx work?

yes

> 
> from within an X session.  if you do:
> 
> export DOING_GDM_DEVELOPMENT=1
> and then run
> /usr/libexec/gdmgreeter
> 
> does it crash or print any error messages?

Just a bunch of CRITICAL messages, but it comes up OK.
attaching the messages.

Comment 3 Doug Maxey 2007-11-02 16:26:42 EDT
Created attachment 247061 [details]
script capture of /usr/libexec/gdmgreeter
Comment 4 Ray Strode [halfline] 2007-11-02 16:57:14 EDT
what if you set,

AddGtkModules=false

in the [daemon] section of /etc/gdm/custom.conf ?
Comment 5 Doug Maxey 2007-11-02 19:20:37 EDT
(In reply to comment #4)
> what if you set,
> 
> AddGtkModules=false
> 
> in the [daemon] section of /etc/gdm/custom.conf ?

no change.  i have several other machines running with f8, and this is the 
only one giving me this trouble.   this one does only have 512m memory.  and it 
it is the only one with the intel graphics.
Comment 6 Ray Strode [halfline] 2007-11-02 19:41:12 EDT
intel graphics?  It maybe be some sort of bug related to randr1.2

With your current setup after doing startx, can you go to a terminal and type:

xrandr

and then report the output here?

do you have multiple monitors? If so, if you disconnect all but one, do you
still see the problem?
Comment 7 Doug Maxey 2007-11-08 12:07:05 EST
(In reply to comment #6)
> intel graphics?  It maybe be some sort of bug related to randr1.2

00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE
Chipset Integrated Graphics Device (rev 01)
        Subsystem: IBM NetVista A30p
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 17
        Region 0: Memory at 88000000 (32-bit, prefetchable) [size=128M]
        Region 1: Memory at 80000000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: <access denied>
00: 86 80 62 25 07 00 90 00 01 00 00 03 00 00 00 00
10: 08 00 00 88 00 00 00 80 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 14 10 67 02
30: 00 00 00 00 d0 00 00 00 00 00 00 00 0b 01 00 00

> 
> With your current setup after doing startx, can you go to a terminal and type:
> 
> xrandr
$ xrandr
Screen 0: minimum 320 x 200, current 1024 x 768, maximum 1024 x 1024
VGA connected 1024x768+0+0 (normal left inverted right x axis y axis) 304mm x 228mm
   1024x768       60.0*+   75.1     70.1     60.0*    59.9  
   832x624        74.6  
   800x600        72.2     75.0     60.3     59.9     56.2  
   640x480        75.0     72.8     60.0  
   720x400        70.1  

> 
> and then report the output here?
> 
> do you have multiple monitors? If so, if you disconnect all but one, do you
> still see the problem?
> 

Just one, attached on the builtin port.  The chip is on the MB.


Comment 8 Doug Maxey 2007-11-08 12:09:49 EST
This time as root:
# lspci -vv -x -s 00:02.0
00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE
Chipset Integrated Graphics Device (rev 01) (prog-if 00 [VGA])
        Subsystem: IBM NetVista A30p
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 17
        Region 0: Memory at 88000000 (32-bit, prefetchable) [size=128M]
        Region 1: Memory at 80000000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: [d0] Power Management version 1
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
00: 86 80 62 25 07 00 90 00 01 00 00 03 00 00 00 00
10: 08 00 00 88 00 00 00 80 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 14 10 67 02
30: 00 00 00 00 d0 00 00 00 00 00 00 00 0b 01 00 00
Comment 9 Stefan Voelkel 2007-11-27 11:34:39 EST
I am also having a constantly segfaulting gdmgreeter:

gdmgreeter[8541]: segfault at 74207372 eip 0805924d esp bff2cd70 error 4
mtrr: Serverworks LE rev < 6 detected. Write-combining disabled.
mtrr: your processor doesn't support write-combining
gdmgreeter[8577]: segfault at 74207372 eip 0805924d esp bfa7a0c0 error 4
mtrr: Serverworks LE rev < 6 detected. Write-combining disabled.
mtrr: your processor doesn't support write-combining

$ sudo /sbin/lspci -vv -x -s 00:01.0
00:01.0 VGA compatible controller: S3 Inc. Savage 4 (rev 04) (prog-if 00 [VGA])
        Subsystem: IBM Unknown device 01c5
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 248 (1000ns min, 63750ns max), Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 21
        Region 0: Memory at feb80000 (32-bit, non-prefetchable) [size=512K]
        Region 1: Memory at f0000000 (32-bit, prefetchable) [size=128M]
        [virtual] Expansion ROM at 50100000 [disabled] [size=64K]
        Capabilities: [dc] Power Management version 1
                Flags: PMEClk- DSI+ D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
00: 33 53 22 8a 07 00 10 02 04 00 00 03 08 f8 00 00
10: 00 00 b8 fe 08 00 00 f0 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 14 10 c5 01
30: 00 00 00 00 dc 00 00 00 00 00 00 00 ff 01 04 ff
Comment 10 Chip Coldwell 2008-05-14 16:40:54 EDT
I am also seeing a segfault in gdmgreeter, although perhaps it's something else.
 It only happens if there are a large number of users in the user list.  For
example, the problem goes away if I turn off NIS, or if I put 

[greeter]
Browser=false

in /etc/gdm/custom.conf

I am continuing to debug this.

Chip
Comment 11 Nathan Kinder 2008-05-29 15:23:06 EDT
(In reply to comment #10)
> I am also seeing a segfault in gdmgreeter, although perhaps it's something else.
>  It only happens if there are a large number of users in the user list.  For
> example, the problem goes away if I turn off NIS

I also see this behaviour after a fresh yum update today.  It works fine with
NIS disabled.  One clue in /var/log/messages is this each time that gdmgreeter
crashes (I changed the name, but it contains an ó):

May 29 11:14:03 triton gdmgreeter[3186]: WARNING: string not in proper locale
encoding: "Some name with an ó"
May 29 11:14:06 triton kernel: gdmgreeter[3186]: segfault at 2e2e2e657265 rip
41335f rsp 7fff45c6f0c0 error 4
Comment 12 Bug Zapper 2008-11-26 03:10:49 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-01-09 00:05:08 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.